Bug 18530 - RFE: /etc/protocols major overhaul
RFE: /etc/protocols major overhaul
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: setup (Show other bugs)
7.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-06 10:38 EDT by Pekka Savola
Modified: 2014-03-16 22:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-06 10:49:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add a lot of protocols, change a few errors (6.00 KB, patch)
2000-10-06 10:39 EDT, Pekka Savola
no flags Details | Diff

  None (edit)
Description Pekka Savola 2000-10-06 10:38:18 EDT
/etc/protocols seemed so empty (and I realized a few protocols that 
are actually used are missing), so I created a patch to add a _lot_ 
of new data in.

This has been adapted from FreeBSD with the following guideline:

I don't change existing protocol names and numbers unless 
they're plain _wrong_ (idpr-cmtp, rspf) so I wouldn't break anything.

If this is useful, I could perhaps do the same for /etc/services.  
That would be a bigger job though.
Comment 1 Pekka Savola 2000-10-06 10:39:08 EDT
Created attachment 3839 [details]
add a lot of protocols, change a few errors
Comment 2 Daniel Roesen 2000-10-06 10:49:14 EDT
Highly seconded! Esp. /etc/services.
Comment 3 Bill Nottingham 2001-01-29 13:22:37 EST
Will be fixed in setup-2.3.7-1; thanks for the patch!

Note You need to log in before you can comment on or make changes to this bug.